commit:     677bd07715c428be6792c84634a91d045888cdf1
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 21 23:46:56 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Jan 21 23:46:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=677bd077

net-libs/zeromq: bump to v4.3.4

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-libs/zeromq/Manifest            |  1 +
 net-libs/zeromq/zeromq-4.3.4.ebuild | 61 +++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/net-libs/zeromq/Manifest b/net-libs/zeromq/Manifest
index 6b14ec8b6aa..59db8d2e153 100644
--- a/net-libs/zeromq/Manifest
+++ b/net-libs/zeromq/Manifest
@@ -1 +1,2 @@
 DIST zeromq-4.3.3.tar.gz 2117050 BLAKE2B 
69bd1544fa76232ecf860b364592762c4170c327c444bf79a916947e1c370eb8c6c20b2ae271374d70bde11db9116ef6a64262e287982e5f41d6a5029649348f
 SHA512 
4c18d784085179c5b1fcb753a93813095a12c8d34970f2e1bfca6499be6c9d67769c71c68b7ca54ff181b20390043170e89733c22f76ff1ea46494814f7095b1
+DIST zeromq-4.3.4.tar.gz 2486520 BLAKE2B 
3c10989a9359a79317adaa8bf6e138357196b82078656911437ee848a347759acc1ef49feda5e1a8912974026e55907b9ffd5172111ddb83ba8cf92dd6715379
 SHA512 
e198ef9f82d392754caadd547537666d4fba0afd7d027749b3adae450516bcf284d241d4616cad3cb4ad9af8c10373d456de92dc6d115b037941659f141e7c0e

diff --git a/net-libs/zeromq/zeromq-4.3.4.ebuild 
b/net-libs/zeromq/zeromq-4.3.4.ebuild
new file mode 100644
index 00000000000..9331aa78135
--- /dev/null
+++ b/net-libs/zeromq/zeromq-4.3.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit autotools
+
+DESCRIPTION="A brokerless kernel"
+HOMEPAGE="http://www.zeromq.org/";
+SRC_URI="https://github.com/zeromq/libzmq/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0/5"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc drafts pgm +sodium static-libs test unwind elibc_Darwin"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !elibc_Darwin? ( unwind? ( sys-libs/libunwind ) )
+       sodium? ( dev-libs/libsodium:= )
+       pgm? ( ~net-libs/openpgm-5.2.122 )"
+DEPEND="${RDEPEND}
+       !elibc_Darwin? ( sys-apps/util-linux )
+       doc? (
+               app-text/asciidoc
+               app-text/xmlto
+       )
+       pgm? ( virtual/pkgconfig )"
+
+src_prepare() {
+       sed \
+               -e '/libzmq_werror=/s:yes:no:g' \
+               -i configure.ac || die
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --enable-shared
+               $(use_enable drafts)
+               $(use_enable static-libs static)
+               $(use_enable unwind libunwind)
+               $(use_with sodium libsodium)
+               $(use_with pgm)
+               $(use_with doc docs)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       # Restricting to one job because multiple tests are using the same port.
+       # Upstream knows the problem and says it doesn't support parallel test
+       # execution, see ${S}/INSTALL.
+       emake -j1 check
+}
+
+src_install() {
+       default
+       find "${ED}"/usr/lib* -name '*.la' -delete || die
+}

Reply via email to